# -*- rpm-spec -*-
# $Id: bluez-pan,v 1.3 2004/02/24 12:28:46 grigory Exp $

Name: bluez-pan
Version: 1.1
Release: alt2

Summary: BlueNIC - Bluetooth PAN profile implementation for BlueZ
License: GNU
Group: Networking/Other
Url: http://bluez.sourceforge.net/download/download.html

Source0: %name-%version.tar.gz

# Automatically added by buildreq on Wed Mar 05 2003
BuildRequires: bluez-sdp-devel glibc-devel-static libbluez-devel

%description
The PAN profile defines the following three roles:
PANU (Personal Area Network User)
- Device participating in a IP network over Bluetooth
- Support for all BNEP packet types (Includes all compression methods)
- Support for extension header compression
- Interpretation of 802.1p headers

GN (Group Ad-hoc Network)
- Full PANU support
- Enables slave-slave communication by forwarding packets between
  connected PANUs.

NAP (Network Access Point)
- Full PANU support
- Full GN support
- Connects the Bluetooth network domain with the wired network.

BlueNIC supports all three roles according to the PAN profile v1.0
specification.

%prep
%setup -q

%build
%configure
%make_build

%install
%__mkdir_p %buildroot%_man8dir
%makeinstall includedir=%buildroot%_includedir/bluetooth
%__install -m 0755 tools/pantest %buildroot%_bindir/
%__install -m 0755 tools/pantest %buildroot%_bindir/
%__install -m 0755 tools/pantest.8 %buildroot%_man8dir/

%files
%doc AUTHORS COPYING ChangeLog INSTALL README 
%_bindir/*
%_includedir/bluetooth/*
%_man8dir/*

%changelog
* Tue Feb 24 2004 Grigory Milev <week@altlinux.ru> 1.1-alt2
- 1.1 released

* Wed Mar  5 2003 Grigory Milev <week@altlinux.ru> 1.1-alt1.rc2
- Initial build for ALT Linux




